---@meta

---@class ABP_FireZone_Big_C : ABP_Event_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field TargetPrevisFireZone UStaticMeshComponent
---@field ActualFireZone UStaticMeshComponent
---@field Exploded boolean
---@field ['Damage Settings'] FST_Damage_Settings
---@field OverlappingActor AActor
---@field LeavingActor AActor
---@field FireTimer FTimerHandle
---@field OverlappingActors TArray<AActor>
---@field StartLocation FVector
---@field TimeToFinish double
---@field LoopTimer FTimerHandle
---@field OverallTimer FTimerHandle
---@field TargetWorldLocation FVector
---@field StartTransform FTransform
---@field TargetTransform FTransform
---@field PPArray TArray<FWeightedBlendable>
---@field Camera UCameraComponent
local ABP_FireZone_Big_C = {}

---@param TargetActor AActor
---@param Enable boolean
function ABP_FireZone_Big_C:SetBurningPP(TargetActor, Enable) end
function ABP_FireZone_Big_C:UserConstructionScript() end
function ABP_FireZone_Big_C:FireDamage() end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_FireZone_Big_C:BndEvt__BP_FireZone_Big_Cube_K2Node_ComponentBoundEvent_4_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
function ABP_FireZone_Big_C:BndEvt__BP_FireZone_Big_Cube_K2Node_ComponentBoundEvent_5_ComponentEndOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex) end
function ABP_FireZone_Big_C:MoveActorTowardsScenePoint() end
function ABP_FireZone_Big_C:StartEvent() end
function ABP_FireZone_Big_C:CustomEvent() end
function ABP_FireZone_Big_C:ShowPrevis() end
function ABP_FireZone_Big_C:HidePrevis() end
---@param EntryPoint int32
function ABP_FireZone_Big_C:ExecuteUbergraph_BP_FireZone_Big(EntryPoint) end


